Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 453948

Summary: udev rename cdrom devices on scsi bus
Product: Red Hat Enterprise Linux 5 Reporter: Zdenek Prikryl <zprikryl>
Component: udevAssignee: Harald Hoyer <harald>
Status: CLOSED CURRENTRELEASE QA Contact: qe-baseos-daemons
Severity: medium Docs Contact:
Priority: medium    
Version: 5.2CC: anton, eric.chu, lmiksik, msekleta, pknirsch, psklenar, rvokal
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-04-30 09:51:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Zdenek Prikryl 2008-07-03 13:20:50 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9) Gecko/2008061712 Fedora/3.0-1.fc9 Firefox/3.0

Description of problem:
When you have a cdrom on scsi bus, than udev renames the device from sr* to scd*. This behaviour leads to bugs. For example in /proc/sys/dev/cdrom/info is still sr* as the device name. So, "$ eject -X" ends with an error message etc.

Kernel identify the device as sr0.

$ dmesg | grep sr
sr0: scsi3-mmc drive: 188x/24x writer dvd-ram cd/rw xa/form2 cdda pop-up
sr 3:0:0:0: Attached scsi CD-ROM sr0


udev rename the device to scd0

/etc/udev/rules.d/50-udev.rules
# rename sr* to scd*
KERNEL=="sr[0-9]*", BUS=="scsi", NAME="scd%n"

instead renaming there should be symlinking
KERNEL=="sr[0-9]*", BUS=="scsi", SYMLINK+="scd%n"

Version-Release number of selected component (if applicable):
udev-095-14.16.el5, eject-2.1.5-4.2.el5

How reproducible:
Always


Steps to Reproduce:
1.Have a PC with a cdrom on scsi bus
2.boot the PC
3.ll /dev/cdrom

Actual Results:
the symlink /dev/cdrom points to /dev/scd0

Expected Results:
the symlink /dev/cdrom points to /dev/sr0

Additional info:

Comment 1 Harald Hoyer 2008-07-03 14:24:53 UTC
correct

Comment 7 RHEL Product and Program Management 2009-11-06 18:52:32 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 10 Michal Sekletar 2014-04-26 20:00:57 UTC
On rhel-5.10 I see in /etc/udev/rules.d/50-udev.rules following:

# rename sr* to scd*
KERNEL=="sr[0-9]*", BUS=="scsi", SYMLINK+="scd%n"

This has been fixed along side other bugzillas by commit 52f47b4b but somehow slipped through the cracks and did get to errata. I think we can *close* this BZ.